Redmine - Patch #14767

More CSS classes on various fields
2013-08-24 22:48 - Daniel Felix

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.4.0

Description

Hi there,

this is a patch which includes CSS classes on various places to allow some fine tuning in each theme.

| also introduced an issue method "follows?", which is used for example, to highlight issues, which have to wait for another issue to

be completed.
A test for this method is included.

Best regards,
Daniel

Related issues:
Related to Redmine - Feature #898: add project specific css class to body tag

Related to Redmine - Feature #14759: Adding project ID to CSS classes at leas...

Closed 2008-03-20
Closed

Associated revisions

Revision 12170 - 2013-09-29 17:34 - Jean-Philippe Lang
Adds a project specific css class to body (#14767).

Revision 12171 - 2013-09-29 17:39 - Jean-Philippe Lang

Adds some css classes (#14767).

History

#1 - 2013-08-28 13:09 - Daniel Felix

- Assignee set to Toshi MARUYAMA

Hi Toshi,

maybe you have some time to take a look at this?

Best regards,
Daniel

#2 - 2013-09-04 12:46 - Toshi MARUYAMA

- Target version set to 2.4.0

#3 - 2013-09-23 19:04 - Jean-Philippe Lang

Adding css classes about relations adds too many queries, I'm not in favor of it. Also, tracker-#{tracker.name.downcase} is not acceptable as we

cannot be sure that it makes a valid css class name.

#4 - 2013-09-30 01:54 - Mischa The Evil
- Related to Feature #898: add project specific css class to body tag added

#5 - 2013-09-30 01:54 - Mischa The Evil

- Related to Feature #14759: Adding project ID to CSS classes at least in issue screen (but whereever it is possibe) added

#6 - 2013-10-01 12:01 - Toshi MARUYAMA
- Assignee deleted (Toshi MARUYAMA)

#7 - 2013-10-13 10:00 - Jean-Philippe Lang

- Status changed from New to Closed

#8 - 2013-11-29 22:22 - Jean-Philippe Lang
FTR, the 'progress progress-#{pcts[0]}' class was broken. Should use double-quotes instead (#15523).
